Company M&A and Investment API
curl --request GET \
--url https://api.akta.pro/api/v1/company/enrichment/mna_and_investment/{company} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.akta.pro/api/v1/company/enrichment/mna_and_investment/{company}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.akta.pro/api/v1/company/enrichment/mna_and_investment/{company}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.akta.pro/api/v1/company/enrichment/mna_and_investment/{company}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.akta.pro/api/v1/company/enrichment/mna_and_investment/{company}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.akta.pro/api/v1/company/enrichment/mna_and_investment/{company}")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.akta.pro/api/v1/company/enrichment/mna_and_investment/{company}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": {
"uuid": "00000l1",
"mna_and_investment": {
"mna_overview": {
"total_mna": 14,
"last_mna_date": {
"month": 4,
"year": 2026
}
},
"mna": [
{
"id": 2706186,
"acquiree": {
"name": "Simtheory",
"uuid": "0002wxa",
"website": "https://simtheory.ai"
},
"announced_date": {
"month": 4,
"year": 2026
}
},
{
"id": 2561504,
"acquiree": {
"name": "Ortto",
"uuid": "0000uvx",
"website": "https://ortto.com/"
},
"announced_date": {
"month": 4,
"year": 2026
}
},
{
"id": 2597254,
"acquiree": {
"name": "Doohly",
"uuid": "0003mhx",
"website": "https://dooh.ly"
},
"announced_date": {
"month": 3,
"year": 2026
}
}
],
"investment_overview": {
"total_investment": 4,
"last_investment_date": {
"month": 12,
"year": 2025
}
},
"investment": [
{
"id": 2082429,
"investee": {
"name": "Black Forest Labs",
"uuid": "00000hy",
"website": "https://bfl.ai/"
},
"announced_date": {
"month": 12,
"year": 2025
}
},
{
"id": 1979159,
"investee": {
"name": "Clove",
"uuid": "0007j4z",
"website": "https://clove.kitchen"
},
"announced_date": {
"month": 12,
"year": 2023
}
},
{
"id": 259576,
"investee": {
"name": "Upollo",
"uuid": "0000vp5",
"website": "https://upollo.ai/"
},
"announced_date": {
"month": 11,
"year": 2022
}
}
],
"note": "Additional data: 11 more acquisitions; 1 more investments; acquisition details - announced date, acquisition type, status, news articles; investment details - announced date, round, funding round id, lead investor."
}
},
"credits_consumed": 5.0
}
Core APIs
Company M&A and Investment API
Acquisitions, investments, acquirers, deal terms.
GET
/
v1
/
company
/
enrichment
/
mna_and_investment
/
{company}
Company M&A and Investment API
curl --request GET \
--url https://api.akta.pro/api/v1/company/enrichment/mna_and_investment/{company} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.akta.pro/api/v1/company/enrichment/mna_and_investment/{company}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.akta.pro/api/v1/company/enrichment/mna_and_investment/{company}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.akta.pro/api/v1/company/enrichment/mna_and_investment/{company}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.akta.pro/api/v1/company/enrichment/mna_and_investment/{company}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.akta.pro/api/v1/company/enrichment/mna_and_investment/{company}")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.akta.pro/api/v1/company/enrichment/mna_and_investment/{company}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": {
"uuid": "00000l1",
"mna_and_investment": {
"mna_overview": {
"total_mna": 14,
"last_mna_date": {
"month": 4,
"year": 2026
}
},
"mna": [
{
"id": 2706186,
"acquiree": {
"name": "Simtheory",
"uuid": "0002wxa",
"website": "https://simtheory.ai"
},
"announced_date": {
"month": 4,
"year": 2026
}
},
{
"id": 2561504,
"acquiree": {
"name": "Ortto",
"uuid": "0000uvx",
"website": "https://ortto.com/"
},
"announced_date": {
"month": 4,
"year": 2026
}
},
{
"id": 2597254,
"acquiree": {
"name": "Doohly",
"uuid": "0003mhx",
"website": "https://dooh.ly"
},
"announced_date": {
"month": 3,
"year": 2026
}
}
],
"investment_overview": {
"total_investment": 4,
"last_investment_date": {
"month": 12,
"year": 2025
}
},
"investment": [
{
"id": 2082429,
"investee": {
"name": "Black Forest Labs",
"uuid": "00000hy",
"website": "https://bfl.ai/"
},
"announced_date": {
"month": 12,
"year": 2025
}
},
{
"id": 1979159,
"investee": {
"name": "Clove",
"uuid": "0007j4z",
"website": "https://clove.kitchen"
},
"announced_date": {
"month": 12,
"year": 2023
}
},
{
"id": 259576,
"investee": {
"name": "Upollo",
"uuid": "0000vp5",
"website": "https://upollo.ai/"
},
"announced_date": {
"month": 11,
"year": 2022
}
}
],
"note": "Additional data: 11 more acquisitions; 1 more investments; acquisition details - announced date, acquisition type, status, news articles; investment details - announced date, round, funding round id, lead investor."
}
},
"credits_consumed": 5.0
}
Overview
The Company M&A and Investment API returns themna_and_investment section of a company as a standalone endpoint.
Endpoint Details
- Method: GET
- Endpoint:
/api/v1/company/enrichment/mna_and_investment/{company}/
Authentication requirements
- Include a valid API key in the
x-api-keyrequest header.
Request
Request Parameters
Path Parameters
string
required
Company website (e.g.
canva.com) or a company UUID (e.g. 00000l1). The UUID can be obtained from the Company Search API.Example Request
GET /api/v1/company/enrichment/mna_and_investment/canva.com
x-api-key: <api-key>
Response
Successful Response Fields
Returns a JSON object with the following structure:float
Number of credits consumed (5 per call).
object
M&A and Investment payload for the requested company.
Show properties
Show properties
{
"data": {
"uuid": "00000l1",
"mna_and_investment": {
"mna_overview": {
"total_mna": 14,
"last_mna_date": {
"month": 4,
"year": 2026
}
},
"mna": [
{
"id": 2706186,
"acquiree": {
"name": "Simtheory",
"uuid": "0002wxa",
"website": "https://simtheory.ai"
},
"announced_date": {
"month": 4,
"year": 2026
}
},
{
"id": 2561504,
"acquiree": {
"name": "Ortto",
"uuid": "0000uvx",
"website": "https://ortto.com/"
},
"announced_date": {
"month": 4,
"year": 2026
}
},
{
"id": 2597254,
"acquiree": {
"name": "Doohly",
"uuid": "0003mhx",
"website": "https://dooh.ly"
},
"announced_date": {
"month": 3,
"year": 2026
}
}
],
"investment_overview": {
"total_investment": 4,
"last_investment_date": {
"month": 12,
"year": 2025
}
},
"investment": [
{
"id": 2082429,
"investee": {
"name": "Black Forest Labs",
"uuid": "00000hy",
"website": "https://bfl.ai/"
},
"announced_date": {
"month": 12,
"year": 2025
}
},
{
"id": 1979159,
"investee": {
"name": "Clove",
"uuid": "0007j4z",
"website": "https://clove.kitchen"
},
"announced_date": {
"month": 12,
"year": 2023
}
},
{
"id": 259576,
"investee": {
"name": "Upollo",
"uuid": "0000vp5",
"website": "https://upollo.ai/"
},
"announced_date": {
"month": 11,
"year": 2022
}
}
],
"note": "Additional data: 11 more acquisitions; 1 more investments; acquisition details - announced date, acquisition type, status, news articles; investment details - announced date, round, funding round id, lead investor."
}
},
"credits_consumed": 5.0
}
Was this page helpful?
.png?fit=max&auto=format&n=SdGZnb5iGLBOelR9&q=85&s=6e183af2c7498a76797d0c8d9a81b986)
.png?fit=max&auto=format&n=SdGZnb5iGLBOelR9&q=85&s=7702c636c517001e39df24a084a9728d)